###########################################################
#
# General make-include
# Johan Bezem, JB Enterprises, (c) 2008.
#
# Prerequisites:
#  - GNUmake   3.79.1 or higher
#  - Bash      2.05a or higher
#    or
#  - CMD.EXE   Windows XP or higher
#
# Version 005.000
# Saved under "005Differentiate.zip"

export YT_RM := rm -f

# When using Cygwin on Windows, we have to take care of 
# /cygdrive pathnames when they are to be used in windows tools
ifeq (1,$(YT_USE_WINDOWS))
  export YT_PBASE_WDL := $(word 2,$(subst /,$(space),$(YT_PBASE))):/$(subst $(space),/,$(wordlist 3,99,$(subst /,$(space),$(YT_PBASE))))
else
  # If using bash on Linux, we have no problem.
  export YT_PBASE_WDL := $(YT_PBASE)
endif
